use strict;
use warnings;
use inc::Module::Install 0.91;

name 'CatalystX-HelpText';
all_from 'lib/CatalystX/HelpText.pm';

install_script 'bin/search_undocumented_templates.pl';

requires 'Moose';
requires 'namespace::autoclean';
requires 'Try::Tiny';
requires 'Moose::Autobox';
requires 'MooseX::Types';
requires 'MooseX::Types::Path::Class';
requires 'Catalyst::Action::RenderView';
requires 'MooseX::Getopt';
requires 'Template';
requires 'List::MoreUtils';

build_requires 'Catalyst::Runtime';
build_requires 'Catalyst::View::TT';
build_requires 'Test::WWW::Mechanize::Catalyst';
build_requires 'Test::More';

resources repository => 'git://git.shadowcat.co.uk/catagits/CatalystX-HelpText';

if ($Module::Install::AUTHOR) {
    system("pod2text lib/CatalystX/HelpText.pm > README")
        and die $!;
}

WriteAll();
