#!/usr/bin/env perl

use strict;
use warnings;
use Test::More;

# setup library path
use FindBin qw($Bin);
use lib "$Bin/lib";

use_ok 'CatalystX::HelpText::Finder::TemplateToolkit';
my $path = "$Bin/lib/TestApp/root/";
my $key = CatalystX::HelpText::Finder::TemplateToolkit->new(template_search_dir => "$path")->find_helptext_keys_in_fn("$path/main");
is_deeply $key, ['fnoo'], 'key found';

use_ok 'CatalystX::HelpText::Finder::TemplateToolkit::Regexp';
$key = CatalystX::HelpText::Finder::TemplateToolkit->new(template_search_dir => "$path")->find_helptext_keys_in_fn("$path/main");
is_deeply $key, ['fnoo'], 'key found';

done_testing;
